# disable fortify as it causes segmentation fault in vnstati
%undefine _fortify_cflags

Summary:	vnStat is a console-based network traffic monitor
Name:		vnstat
Version:	1.12
Release:	%mkrel 4
License:	GPLv2+
Group:		Monitoring
Url:		http://humdi.net/vnstat/
Source0:	http://humdi.net/vnstat/%{name}-%{version}.tar.gz
Source1:	vnstat.init
Source2:	vnstat_ip-up
Source3:	vnstat_ip-down
Source4:	vnstat.service
BuildRequires:	libgd-devel

%description
vnStat is a console-based network traffic monitor for Linux and BSD that keeps
a log of network traffic for the selected interface(s). It uses the network
interface statistics provided by the kernel as information source. This means
that vnStat won't actually be sniffing any traffic and also ensures light use
of system resources.

%files
%doc CHANGES README FAQ
%doc examples/
%{_bindir}/vnstat
%{_bindir}/vnstati
%{_sbindir}/vnstatd
%config(noreplace) %{_sysconfdir}/vnstat.conf
%{_initrddir}/vnstat
%{_unitdir}/vnstat.service
%{_sysconfdir}/sysconfig/network-scripts/if*.d/vnstat*
%{_mandir}/*/*
%{_localstatedir}/lib/vnstat

#--------------------------------------------------------------------

%prep
%setup -q
install -m 0755 %{SOURCE1} vnstat.init
install -m 0755 %{SOURCE2} vnstat_ip-up
install -m 0755 %{SOURCE3} vnstat_ip-down
install -m 0644 %{SOURCE4} vnstat.service

%build
CFLAGS="%{optflags}" LDFLAGS="%{ldflags}" %make -e all

%install
mkdir -p %{buildroot}/etc
%makeinstall_std
# vnstat service
install -d %{buildroot}/%{_initrddir}
install -m755 vnstat.init %{buildroot}/%{_initrddir}/vnstat
install -d %{buildroot}/%{_unitdir}
install -m644 vnstat.service %{buildroot}/%{_unitdir}
# ifup/ifdown hooks
install -d %{buildroot}/%{_sysconfdir}/sysconfig/network-scripts/ifup.d
install -m755 vnstat_ip-up %{buildroot}/%{_sysconfdir}/sysconfig/network-scripts/ifup.d
install -d %{buildroot}/%{_sysconfdir}/sysconfig/network-scripts/ifdown.d
install -m755 vnstat_ip-down %{buildroot}/%{_sysconfdir}/sysconfig/network-scripts/ifdown.d
install -d %{buildroot}%{_localstatedir}/lib/vnstat


%changelog
* Mon Feb 16 2015 oden <oden> 1.12-4.mga5
+ Revision: 815167
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.12-3.mga5
+ Revision: 741522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12-2.mga5
+ Revision: 690231
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 luigiwalser <luigiwalser> 1.12-1.mga5
+ Revision: 672154
- 1.12

* Sat Oct 19 2013 umeabot <umeabot> 1.11-5.mga4
+ Revision: 534665
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 djennings <djennings> 1.11-4.mga4
+ Revision: 478248
- add systemd unit

* Tue May 28 2013 oden <oden> 1.11-3.mga4
+ Revision: 429296
- rebuilt against libgd.so.3

* Mon Jan 14 2013 umeabot <umeabot> 1.11-2.mga3
+ Revision: 385454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.11-1.mga3
+ Revision: 281013
- 1.11 (sync with mdv)

* Thu Oct 27 2011 dmorgan <dmorgan> 1.10-3.mga2
+ Revision: 158874
- Do not reload vnstat service ( mga  #3074)

* Mon Feb 21 2011 ennael <ennael> 1.10-2.mga1
+ Revision: 55082
- imported package vnstat

